Skip to content

ShareFieldName⁠

Perform various operations for Symitar parameters.

Operations⁠

getShareFieldNameSelectFields⁠

POST

Execute the persistent ParameterService getShareFieldNameSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ShareFieldNameFieldintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getShareFieldNameSelectFields
POST /nexum/627/persistent/parameter/getShareFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "ShareFieldNameField": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllShareFieldNameFields": true,
    "ShareFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getShareFieldNamePagedListSelectFields⁠

POST

Execute the persistent ParameterService getShareFieldNamePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getShareFieldNamePagedListSelectFields
POST /nexum/627/persistent/parameter/getShareFieldNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllShareFieldNameFields": true,
    "ShareFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchShareFieldNamePagedSelectFields⁠

POST

Execute the persistent ParameterService searchShareFieldNamePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchShareFieldNamePagedSelectFields
POST /nexum/627/persistent/parameter/searchShareFieldNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllShareFieldNameFields": true,
    "ShareFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateShareFieldNameByID⁠

POST

Execute the persistent ParameterService updateShareFieldNameByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

ShareFieldNameFieldintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateShareFieldNameByID
POST /nexum/627/persistent/parameter/updateShareFieldNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "ShareFieldNameField": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "ShareFieldNameFields": {
    "Field": 0,
    "FieldName": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}